# Reforge CORE: Building Pieces
This mod is part of the [Reforge CORE mod pack](https://valheim.thunderstore.io/package/Krumpac/Krumpac_Reforge_Core/).

<p align="center">
  <a href="https://discord.gg/uS5P3HuGCT">
    <img src="https://media.discordapp.net/attachments/1075550551485464586/1094662243217580093/Krumpac_Wallapaper_3.png?width=1630&height=917">
  </a>
  <br/>
  <a href="https://discord.gg/uS5P3HuGCT">
    <img src="https://cdn.discordapp.com/attachments/1082990529110872074/1082990993885892678/Krump_Logo_NEW_04.png">
  </a>
  <br/>
  Krumpac Modding Discord
</p>

# DISCLAIMER - BETA test phase - READ THIS FIRST!!!

**Since the mod pack is currenty under development, playing the BETA is only available for closed community members!**

For being able to play the mod pack, you will need to apply to be selected closed BETA community member. Please fill in the form [Krumpac Reforge Beta Tester Application](https://forms.gle/f1pwtvAhECbf3TuR7). We will review the requests on best effort base (don't except immediate answers). We will only select small amounts of people to be part of this BETA testing phase. 

NOTE: Being accepted to the closed community for BETA testing is not influenced by becoming a Patreon supporter or any other financial support given. Same as being part of the closed community does not imply to need to financially support the community or authors. **THERE WILL BE NO PAYWALL FOR THIS MOD, JUST A REGISTRATION.**

**WARNING**: without being an accepted member of the closed BETA testing community, installing the mod pack will be possible, but you will not be able to launch the game and mods will not load!

# Copyright, permissions and credits

Due to the recent discussions started from IronGate (publisher of Valheim) about the intent of free modding and paid modding, there was a big change in how we distribute the Reforge mods and we also update the terms of how they can be used more clearly with the following statements.

Copyright and all rights reserved stay with the original author (uploader of this mod / mod pack) of Reforge and all mods affiliated with it directly.

## Credits and distribution permission

* Other user's assets: All the assets in this file belong to the author, or are from free-to-use modder's resources 
* Upload permission: You are NOT allowed to upload the files contained in this mod / mod pack to other sites under any circumstances
* Modification permission: You are NOT allowed to modify my files to improve them in any circumstances
  * Exception: files used for configuring the mods are allowed to be tailored to your needs: `*.cfg`, `*.txt`, and `*.yml` (or `*.yaml`)
* Conversion permission: You are NOT allowed to convert the files of this mod / mod pack to work on other games under any circumstances
* Asset use permission: You are NOT allowed to use any of the assets in the files of this mod / mod pack
* Asset use permission in mods/files that are being sold: You are NOT allowed to use assets from this file in any mods/files that are being sold, for money, on Steam Workshop or other platforms
* Asset use permission in mods/files that earn donations: You are NOT allowed to earn donations for your mods if they use my assets

# Installation

* To make sure all mods work as designed it is highly recommended to download the **[Reforge CORE](https://valheim.thunderstore.io/package/Krumpac/Krumpac_Reforge_Core/)** modpack **including** all dependencies. 
* Reforge CORE makes so many changes to the game (mainly with materials and crafting stations) that some mods that rely on the vanilla materials and items may not work. The good news is that most QoL mods won't have compatibility issues **but we recommend that you start a new world with a new character, then add your preferred QoL slowly to ensure compatibility.**
* You can also download the Building Pieces mod alone, but this will require you to do a lot of adjustments in the mod or other mods you use to make it work without the CORE mod pack.

**WARNING**: downloading this modpack using *R2 Mod Manager* will cause the mod pack to not work fully, you might be affected by some issues of missing configurations!

# Krumpac's Building Pieces contents
* Over 500 new building pieces ranging from building the first hut up to building fortresses, castles, cathedrals, etc.

<p align="center">
  <img src="https://media.discordapp.net/attachments/1082990529110872074/1093906803806457997/image.png?width=1600&height=999"/>
  <br/>
  <img src="https://media.discordapp.net/attachments/1082990529110872074/1093907978677129216/image.png?width=1600&height=999"/>
  <br/>
  <img src="https://media.discordapp.net/attachments/1082990529110872074/1097123292424454254/20230416132148_1.png?width=1630&height=917"/>
  <br/>
  <img src="https://media.discordapp.net/attachments/1086719685602574436/1097116491624751154/1.png?width=1920&height=811"/>
  <br/>
  <img src="https://media.discordapp.net/attachments/1086719685602574436/1088675040574324766/kvill1.png?width=1633&height=917"/>
  <br/>
  <img src="https://cdn.discordapp.com/attachments/1082990529110872074/1097145242496544878/Reforge_06.png?width=1600&height=999"/>
</p>


## Reforge CORE: A Completely New Way to Play Valheim

Forget everything you know about gathering, crafting, cooking, hunting, building, and progressing in the world of Valheim. Reforged introduces new materials, resources, tools, weapons, foods, locations, and lore. Reforged is more than a mod- it's a reworking of the game, with an emphasis on exploration, decision-making, a more moderated pace, and themes and legends from Norse mythology. The gods are not merely present in Valheim Reforged: they are active and in some cases, interactive!

<p align="center">
  <a href="https://cdn.discordapp.com/attachments/1082990529110872074/1083009397749465228/image.png"></a>
</p>
<br/>

<details>
    <summary>CLICK to Show More Screenshots</summary>

<p align="center">
  <img src="https://media.discordapp.net/attachments/1082990529110872074/1093201620994625606/cabin5.png?width=1120&height=629">
  <br/>
  <img src="https://media.discordapp.net/attachments/1086719685602574436/1088675148216942592/kvill2.png?width=1115&height=629">
  <br/>
  <img src="https://media.discordapp.net/attachments/1082990529110872074/1093197400270704751/1.png?width=1118&height=629">
  <br/>
  <img src="https://media.discordapp.net/attachments/1082990529110872074/1093201159709282304/cabin2.png?width=1118&height=628">
  <br/>
  <img src="https://media.discordapp.net/attachments/1082990529110872074/1093197750063087647/1.png?width=1118&height=629">
  <br/>
  <img src="https://media.discordapp.net/attachments/1082990529110872074/1093197682073419836/1.png?width=1118&height=629">
  <br/>
  <img src="https://media.discordapp.net/attachments/1082990529110872074/1093197866299830312/1.png?width=1118&height=629">
  <br/>
  <img src="https://media.discordapp.net/attachments/1082990529110872074/1093198074760929340/1.png?width=1118&height=629">
  <br/>
  <img src="https://media.discordapp.net/attachments/1082990529110872074/1093198168126136373/1.png?width=1118&height=629">
  <br/>
</p>
</details>

<br/>
<br/>



# Good to Know

* Reforged has a rougher start than vanilla Valheim. Many of the familiar "first" items and building pieces have been replaced. Make use of ruins and natural shelter if you can find it!
* The new crafting stations will mean that you'll need to largely re-think item progression. You will spend more time in the meadows and black forest in Reforged, because there is much more to do.
* If you get stuck or have any technical issues, we have a welcoming community on our discord. This mod is our passion and we love helping people enjoy it.
* We have begun to produce translations for the mod in as many languages as possible. Right now we have the core available in English, German, Spanish, French, and Chinese- but we'll add as many as we can if you can help us with the translations. Visit our discord to learn how to work with us on translations - we can offer incentives for assistance!
* There are other mods produced by our team that supplement and improve the Reforged Core experience. New dungeons, ships, cooking materials, and even a way to pray to the gods for guidance (beware, the gods are fickle and sometimes punish those who ask for too much!). More info is available on our discord.


# Reforged Lore

The story of Valheim Reforged centers around your character's effort to regain the approval of the gods after being betrayed by Loki, who became envious of you in a moment of petty jealousy. You are not a hero tasked with saving the world- you simply want to prove yourself to anyone who will listen by performing deeds of valor. Father Odin has much grander plans than anything involving you. Only by pushing yourself and defeating Valheim's champions can you hope to gain the AllFather's notice, and prove to him that you are not a Skóggangr (foolish coward) as Loki named you.

## Full Story

<details>
    <summary>CLICK HERE to read the full Lore : Laufey's LORE</summary>

<img src="https://media.discordapp.net/attachments/1005872664495267911/1005874425347985438/Krumpac_Einherjar_Logo_Banner.png?width=1630&height=917">

"Einherjar - Laufey's Curse ( Krumpac ©️ )"

As you begin your journey, you are carried by one of Odin's Valkyrie into the world of Valheim. Your story begins from this point, but how you ended up here is a tale of its own...

Centuries ago you brought yourself up from the dirt and strived for glory. Leading men through battle after battle, 
you made a name for yourself and your Banner, Bright blue as the sky and bearing a Sigil of a Jotunn. From the coldest 
Mountains to the most dry deserts, you have come far. Unbeknownst to you at the time, the Banner Sigil you held so dear Whispered to a Jotunn with open ears, by the name of Laufey. Through many wars, and accross many battlefields you fought during life, you gained the attention of Laufey, a gentle yet powerful Frost Giant. The seemingly friendly Jotunn took notice of your thirst for battle, and blinding rage that suited a giant, let alone a man. This blessing carried a heavy burden, one you couldn't possibly anticipate. 

On a routine Skirmish, after raiding an enemy encampment, you lost your way down a corridor and were surrounded by ten Warriors, all hungry to get the glory from your death. You Valiantly fought them off, and though you managed to beat them and get away mostly unscathed, A Javelin hit you in the back from somewhere out in the field, and you fell to your knees. Though the pain was nearly unbearable, you couldn't help but smile as a raven flew in circles just over your head. "FOR ODIN!" you shouted, "FOR THE ALL-Father! MAY I GO NOW TO VALHALLA!". 

You knew, at the very least, Odin would see your efforts, and you would be allowed into Valhalla.
It was then that Laufey recognized your bravery and strength to its fullest, and she gave you her blessing. Odin, seeing this, and feeling pity for you, decided to recruit you to the Einherjar, the Glorious Army of Valhalla."

Time went on, and you continued to impress, but some remained indignant towards you for your status as mortal. 

One such Man, the God Loki, detested you to the highest degree for getting special attention from his mother, who he himself couldn't impress. You see, Laufey abandoned Loki as a child for his human size, thinking it to be a curse or bad omen. 

Loki survived, even thrived, and fought his way up the ranks in Asgard. Odin took him in to train alongside his son, Thor, where he continued to thrive, only faltering at times
to think about the feelings of inadequacy towards Laufey. It haunted him, to this day, where you confidently boasted of her blessing, completely ingorant of the fact that she didnt bless her own son, who was about the same size as you. A Blessing for some may be a Curse for others.
 
One Night in Asgard, when the Gods were having another joyful celebration for their efforts, Lothur, one of Odin's Brothers, proposed to challenge one of the Mortals, to see how strong they really were. Loki, seeing the perfect opportunity for revenge against you, Shouted, "Lothur! I bet that you are not brave enough to fight the blessed one!” 

Lothur smiled, and replied, "What makes you think that one would even pose a challenge for me?". 

All eyes turned on you, yearning for a response, but you held your tongue. Loki however, not satisfied, contiued, "You didn't hear? He killed 10 warriors by himself, and they barely touched him. Is it that you're afraid of losing?" 

Lothur, furious at even the idea of being a coward, shouted with all of his anger, "HOW DARE YOU accuse me of that, i simply do not feel like wasting my time." 

Loki knew the perfect thing to say to seal the deal.

"I can think of other reasons" he said seriously, trying to hide his grin. Before Lothur could respond, Odin who had witnessed everything, began to laugh, which prompted the gathering crowd to laugh as well. Lothar could not stand the laughter, so he begrudgingly decided to spar with you. This was your chance to prove to the gods your worth! Though Terrified, you remained determined. This was also Loki's chance to get what he wished, and he had this planned from the very beginning. Loki rushed up to you, and handed you an axe. 

"May you win with pride, or lose with honor" he said before departing into the crowd. Loki felt accomplished, for what he gave you was no ordinary axe. Hidden within the blade was an incredibly lethal poison, even to the gods, and you were none the wiser. 

The fight was intense, but you somehow managed to hold your ground against Lothur. The Gods were pleased of your Valor, and all of the other Einherjar in the Great Hall of Valhalla were cheering. You thought you had a chance of victory, but before you could continue Lothar had caught your mistake, and struck you with a powerful blow. At this, the Crowd Roared loudly, for this was a mighty battle to witness. While you lay dazed on the ground, Lothar turned to the crowd and began to roar in triumph; no longer would they doubt either his courage or strength, at least for now. With his back turned, you saw your chance and struck at his back with all of your remaining strength, but something was wrong. You both were just sparring, it was not meant toinflict any real damage, and yet Lothar fell to the ground. The crowd and the gods grew silent.

After what felt like an eternity, Odin finally stepped forward, and with his mighty spear Gungnir in hand he pointed it directly at you. In front of Odin's might, it was near impossible to move. while a few Gods began inspecting Lothar and the Weapons, The remaining Gods in the pantheon began to shout, “Lothar is alive! The axes were poisoned!”. Odin Swings his head towards you, and exclaims "Poison?! How dare you!" 

Shocked by this, you plead, “I was betrayed! I would never Dishonor you all like this! You have to believe me!”

Odin shouted, "BE QUIET!" and the crowd went silent again as he continued, "I was told beforehand by Loki to not trust you, that you were a warrior sent by the Vanirs. I did not believe that you were sent here by those Half-God scum, to infiltrate our army, at first. But now it is very clear. You are a FOOL, a Skóggangr, for thinking you could get away with this."

Immediately Loki stepped out from the crowd and began to chant “Skóggangr!”, to which the Crowd followed with “It’s a Fool! It’s a Skóggangr”! Odin let them go on, but he needed to make a decision, and it came easily to him. He raised his hand, signalling for the crowd to quiet down. Once they did, he began, "I have decided you will not die here, for that would be a gift. Instead, you can take yourself and Laufey's blessing with you to Valheim, where you will live as a Skóggangr, forever, undying. I have gone as far as to order the Goddess Hela to ban you from entering Helheim. You have shamed the name of the Gods, and that is no light 
crime. Farewell."

Taken away by guards, you were brought to the edge of asgard. From there, the Valkyrie has brought you to where you are now, and now your story begins. Who knows what lies in these strange new lands? Will you be able to prove your innocence? There is only one way to find out.
</details>

<br/>
<br/>

# You Like it? You Love it? Support me :)

## Discord

Leave a comment on [Discord](https://discord.gg/uS5P3HuGCT)

## Buy me a coffee

You can support me to not fall asleep during the long nights of modding by [buying me a coffee](https://www.buymeacoffee.com/krumpacmodding) :)

## Paypal

You can also offer me a cold
<a href="https://www.paypal.com/paypalme/KrumpacModding">
  <img src="https://cdn.discordapp.com/emojis/1081671887375048754.gif?size=96&quality=lossless">
</a>

<p align="center">
  <img src="https://cdn.discordapp.com/attachments/1082990529110872074/1090971792346185799/Krumpac_PayPal.png">
</p>

## Patreon

If you would like more Creations & Content, consider to support me as a Patreon for the rest of my stuffs 

<p align="center">
  <a href="https://www.patreon.com/KrumpacModding">
    <img src="https://media.discordapp.net/attachments/1082990529110872074/1082997636874911855/Patreon-logo.png?width=1630&height=917">
  </a>
</p>

# Protected by KeyManager

[![KeyManager Disclaimer](https://noobtrap.eu/images/keymanager_disclaimer.png)](https://key.sayless.eu/faq.php)

# Miscellaneous

## Contact

<details>
  <summary>Contact</summary>

* [Discord Server](https://discord.gg/uS5P3HuGCT) 
* [Patreon](https://www.patreon.com/KrumpacModding)
* [YouTube KrumpacModding](https://www.youtube.com/@KrumpacModding)

</details>
